|  | Home · All Classes · Modules

# Phonon.BackendCapabilities.Notifier Class Reference
[phonon module]

This class is not part of the Qt GUI Framework Edition.

Inherits QObject.

### Qt Signals

- void availableAudioCaptureDevicesChanged ()
- void availableAudioOutputDevicesChanged ()
- void capabilitiesChanged ()

## Detailed Description

Notifications about backend capabilities.

## Qt Signal Documentation

### void availableAudioCaptureDevicesChanged ()

This is the default overload of this signal.

### void availableAudioOutputDevicesChanged ()

This is the default overload of this signal.

This signal is emitted when audio output devices were plugged or unplugged.

Check BackendCapabilities.availableAudioOutputDevices to get the current list of available devices.

### void capabilitiesChanged ()

This is the default overload of this signal.

This signal is emitted if the capabilities have changed. This can happen if the user has requested a backend change.